--------------------------------------------------
-- Player Classes Script by Unreal Software     --
-- 28.02.2009 - www.UnrealSoftware.de           --
-- Adds Player Classes to your server           --
--------------------------------------------------

if sample==nil then sample={} end
sample.classes={}

-----------------------
-- INITIAL SETUP     --
-----------------------
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
sample.classes.class=initArray(32)
function sample.classes.classmenu(id)
	menu(id,"Select your Class,Soldier|RPG+shotgun,Spy|Stealth,Engineer|Wrench,Pyro|Flamethrower,Scout|Scattergun,Sniper|AWP,Heavy|Minigun+Punch,Medic|Medic suit")	
end


-----------------------
-- TEAM -> CLASS     --
-----------------------
addhook("team","sample.classes.team")
function sample.classes.team(id,team)
	if (team>0) then
		sample.classes.classmenu(id)
	end
end


-----------------------
-- SERVERACTION      --
-----------------------
addhook("serveraction","sample.classes.serveraction")
function sample.classes.serveraction(id)
	sample.classes.classmenu(id)
end


-----------------------
-- CLASS SELECTION   --
-----------------------
addhook("menu","sample.classes.menu")
function sample.classes.menu(id,menu,sel)
	if (menu=="Select your Class") then
		if (sel>=0 and sel<=8) then
			sample.classes.class[id]=sel
			if (player(id,"health")>0) then
				parse("killplayer "..id)
			end
		end
	end
end


-----------------------
-- SPAWN             --
-----------------------
addhook("spawn","sample.classes.spawn")
function sample.classes.spawn(id)
	-- ASKER
	if (sample.classes.class[id]<=1) then
		parse ("setmaxhealth "..id.." 200")
		parse ("setarmor "..id.." 250")
		parse ("speedmod "..id.." 100")
		return "47,10,45,46,3";
	end
	-- AJAN
	if (sample.classes.class[id]==2) then
		parse ("setmaxhealth "..id.." 10000")
		parse ("setarmor "..id.." 9999999999")
		parse ("speedmod "..id.." 99")
		return "69,3,1,2,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,83,,86,87,88";
	end
	-- ISCI
	if (sample.classes.class[id]==3) then
		parse ("setmaxhealth "..id.." 125")
		parse ("setarmor "..id.." 0")
		return "10,1,74";
	end
	-- PSIKOPAT
	if (sample.classes.class[id]==4) then
		parse ("setmaxhealth "..id.." 125")
		parse ("setarmor "..id.." 75")
		return "46,4,73";
	end
	-- SCOUT
	if (sample.classes.class[id]==5) then
		parse ("setmaxhealth "..id.." 250")
		parse ("setarmor "..id.." 250")
		parse ("speedmod "..id.." 26")
		return "11,4";
	end
	-- NISANCI
	if (sample.classes.class[id]==6) then
		parse ("setmaxhealth "..id.." 125")
		parse ("setarmor "..id.." 0")
		return "35,3,53,52,54";
	end
      -- HEAVY
	if (sample.classes.class[id]==7) then
		parse ("setmaxhealth "..id.." 250")
		parse ("setarmor "..id.." 600")
            parse ("speedmod "..id.." 50")
		return "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,67,68,69,70,71,72,73,74,75,76,77,78,79,80,83,86,87,88";
	end 
      -- MEDIC
	if (sample.classes.class[id]==8) then
		parse ("setmaxhealth "..id.." 900")
		parse ("setarmor "..id.." 9999")
            parse ("speedmod "..id.." 80")
		return "23,3,30,32,33,1,2,4,5,6,83,88,41,45";
	end


end


-----------------------
-- NO BUYING         --
-----------------------
addhook("buy","sample.classes.buy")
function sample.classes.buy()
	return 1
end


-----------------------
-- NO COLLECTING     --
-----------------------
addhook("walkover","sample.classes.walkover")
function sample.classes.walkover(id,iid,type)
	if (type>=61 and type<=68) then
		return 0
	end
	return 1
end


-----------------------
-- NO DROPPING       --
-----------------------
addhook("drop","sample.classes.drop")
function sample.classes.drop()
	return 1
end


-----------------------
-- NO DEAD DROPPING  --
-----------------------
addhook("die","sample.classes.die")
function sample.classes.die()
	return 1
end